> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Notification Preferences

> Update user notification preferences.



## OpenAPI

````yaml /openapi.json put /api/v1/notifications/preferences
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/notifications/preferences:
    put:
      tags:
        - WhatsApp
      summary: Update Notification Preferences
      description: Update user notification preferences.
      operationId: update_notification_preferences_api_v1_notifications_preferences_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationPreferenceUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NotificationPreferenceUpdate:
      properties:
        whatsapp_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Whatsapp Enabled
        email_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Enabled
        push_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Push Enabled
        sms_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sms Enabled
        messaging_channel:
          anyOf:
            - type: string
            - type: 'null'
          title: Messaging Channel
        quiet_hours_start:
          anyOf:
            - type: string
            - type: 'null'
          title: Quiet Hours Start
        quiet_hours_end:
          anyOf:
            - type: string
            - type: 'null'
          title: Quiet Hours End
        quiet_hours_tz:
          anyOf:
            - type: string
            - type: 'null'
          title: Quiet Hours Tz
      type: object
      title: NotificationPreferenceUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````